from django.urls import path

from . import views
app_name = 'hunter'
urlpatterns = [
    path('', views.index, name='index'),
    path('index/', views.index, name='index'),
    # path('<int:pk>/', views.UserDetail.as_view(), name='user'),
    # path('<int:pk>/article/', views.ArticleDetail.as_view(), name='article'),
    path('user/<int:user_id>/', views.user, name='user'),
    path('user/detail/<int:user_id>/', views.detail, name='detail'),
    path('write/', views.write_art, name='write_art'),
    path('uploadImg/', views.uploadImg, name='uploadImg'),
    path('article/<int:article_id>/', views.article, name='article'),
    path('login/', views.login, name='login'),
    path('delete/publication/', views.delete_publication, name='delete_publication'),
    path('delete/cve/', views.delete_cve, name='delete_cve'),
    path('delete/article/', views.delete_article, name='delete_article'),
    path('add/publication/', views.add_publication, name='add_publication'),
    path('add/cve/', views.add_cve, name='add_cve'),
    path('add/article/', views.add_article, name='add_article'),
]